*==============================================================================*
* TTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIN ESTADSTICA:*
* Matrimonios, Ao 2018 (EMA - 2018)*
* UNIDAD TCNICA RESPONSABLE:*
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos*
* Direccin Estadsticas Sociodemogrficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC) *
*==============================================================================*
* Fecha ltima modificacin:   julio de 2019*
*==============================================================================*
* Elaborado por:* 
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Responsable de la Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripcin:
* 1. Correr la programacin en spss.
* 2. La presente sintaxis est diseada para generar y crear las variables necesarias para la elaboracin de los cuadros estadsticos de Matrimonios.
*==============================================================================*
*Sintaxis de Tabulados Matrimonios, Ao 2018 (EMA - 2018)*
*==============================================================================*

***SINTAXIS DE TABULADOS DE MATRIMONIOS***

***CUADRO 3.1.1***

*  Matrimonios, por mes de ocurrencia, segn regiones y provincias de inscripcin 2017 *

* preparar variables a utilizar*


compute t=1.
compute t2=1.

* CODIGOS DE REGIONES NATURALES.*

NUMERIC REG_NAT (f2.0).
if (prov_insc >= "01" and prov_insc <= "06") REG_NAT= 1.
if (prov_insc >= "10" and prov_insc <= "11") REG_NAT= 1.
if (prov_insc >= "17" and prov_insc <= "18") REG_NAT= 1.
if (prov_insc = "23") REG_NAT= 1.
if (prov_insc >= "07" and prov_insc <= "09") REG_NAT = 2.
if (prov_insc >= "12" and prov_insc <= "13") REG_NAT = 2.
if (prov_insc = "24") REG_NAT= 2.
if (prov_insc >= "14" and prov_insc <= "16") REG_NAT = 3.
if (prov_insc = "19") REG_NAT= 3.
if (prov_insc >= "21" and prov_insc <= "22") REG_NAT = 3.
if (prov_insc = "20") REG_NAT= 4.
if (prov_insc = "90") REG_NAT= 5.
execute.


* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NAT 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:".



ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '
.

* Etiquetar variables*.

VAR LABEL
REG_NAT   "  "
/t 'Total Nacional:'
/t2 ' '
.


TABLES
 /TABLE  t+(REG_NAT>(t2+prov_insc)) by t+mes_insc
 /TITLE    'Cuadro No. 3.1.1'
              'Matrimonios por mes de inscripcin, segn regiones y provincias de inscripcin - Ao 2018'
 /CORNER 'Regiones y provincias de inscripcin'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATEFILE  SHEET='c311'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO  3.1.2***

NUMERIC REG_NATH (f2.0).
if (prov_habh >= "01" and prov_habh <= "06") REG_NATH= 1.
if (prov_habh >= "10" and prov_habh <= "11") REG_NATH= 1.
if (prov_habh >= "17" and prov_habh <= "18") REG_NATH= 1.
if (prov_habh = "23") REG_NATH= 1.
if (prov_habh >= "07" and prov_habh <= "09") REG_NATH = 2.
if (prov_habh >= "12" and prov_habh <= "13") REG_NATH = 2.
if (prov_habh = "24") REG_NATH= 2.
if (prov_habh >= "14" and prov_habh <= "16") REG_NATH = 3.
if (prov_habh = "19") REG_NATH= 3.
if (prov_habh >= "21" and prov_habh <= "22") REG_NATH = 3.
if (prov_habh = "20") REG_NATH= 4.
if (prov_habh = "90") REG_NATH= 5.
if (prov_habh = "88") REG_NATH= 6.

execute.


compute t2=1.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NATH 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".

ADD VALUE LABELS
/t2 1 'total '.

* Etiquetar variables *

VAR LABEL
REG_NATH ' Regin de residencia habitual del contrayente '
/t2 'Total Nacional:'.



TABLES
 /TABLE  t2+REG_NATH >(t2+prov_habh>(cant_habh)) by t2+mes_insc
 /TITLE    'Cuadro No. 3.1.2'
              'Matrimonios por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual del contrayente - Ao 2018'
 /CORNER 'Regiones y provincias de residencia habitual del contrayente'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c312'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.3***

compute t=1.
compute tr=1.


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*


VAR LABEL
REG_NATH ' '
/t 'Total'
/tr 'Total Nacional'
/ran_edadh ' '
/ran_edadm 'Grupos de Edad de la Contrayente'
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (tr+REG_NATH) > (t+ran_edadh) BY (t+ran_edadm)
 /TITLE    'Cuadro No. 3.1.3'
              'Matrimonios por grupos de edad de la contrayente, segn regiones de residencia habitual y grupos de edad del contrayente - Ao 2018'
 /CORNER 'Regiones y grupos de edad del contrayente'
.
execute.



OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c313'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.




***CUADRO 3.1.4***

* Preparar variables a utilizar
*----------------------------------------.
compute t=1.
compute tr=1.


* Etiquetar variables y valores a desplegar en un reporte
*-------------------------------------------------------------------------------.
ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
est_civih   ' '
/est_civim  'Estado Civil Anterior de la Contrayente'
/REG_NATH  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (tr+REG_NATH) > (t+est_civih) BY (t+est_civim)
 /TITLE    'Cuadro No. 3.1.4'
              'Matrimonios por estado civil anterior de la contrayente, segn regiones de residencia habitual y estado civil anterior del contrayente - Ao 2018	'
 /CORNER 'Regiones de residencia y estado civil anterior del contrayente'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c314'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.5***


compute t=1.
compute tr=1.



* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
REG_NATH  ' '
/t 'Total'
/tr 'Total Nacional'
/ran_nmatanth ' '
/ran_nmatantm 'Matrimonios Anteriores de la Contrayente'
.



TABLES
 /TABLE  tr+ran_nmatanth+REG_NATH >(t+ran_nmatanth) BY (t+ran_nmatantm)
 /TITLE    'Cuadro No. 3.1.5'
              'Matrimonios por nmero de matrimonios anteriores de la contrayente, segn regiones de residencia habitual y matrimonios anteriores del contrayente Ao  2018'
 /CORNER 'Regiones y matrimonios anteriores del contrayente'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c315'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.6***


compute t=1.
compute tr=1.

NUMERIC REG_NATH (f2.0).
if (prov_habh >= "01" and prov_habh<= "06") REG_NATH= 1.
if (prov_habh >= "10" and prov_habh <= "11") REG_NATH= 1.
if (prov_habh >= "17" and prov_habh<= "18") REG_NATH= 1.
if (prov_habh = "23") REG_NATH= 1.
if (prov_habh >= "07" and prov_habh <= "09") REG_NATH = 2.
if (prov_habh >= "12" and prov_habh <= "13") REG_NATH = 2.
if (prov_habh = "24") REG_NATH = 2.
if (prov_habh >= "14" and prov_habh<= "16") REG_NATH = 3.
if (prov_habh= "19") REG_NATH= 3.
if (prov_habh>= "21" and prov_habh <= "22") REG_NATH = 3.
if (prov_habh= "20") REG_NATH= 4.
if (prov_habh = "90") REG_NATH= 5.
if (prov_habh = "88") REG_NATH= 6.
execute.


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NATH 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.


* Etiquetar variables*


VAR LABEL
prov_habh ' '
/REG_NATH  ' '
/t 'Total'
/tr 'Total Nacional'
/ran_nmatanth ' '
/ran_nmatantm 'Matrimonios Anteriores de la Contrayente'
.



TABLES
 /TABLE  tr+REG_NATH>prov_habh >(t+ran_nmatanth) BY (t+ran_nmatantm)
 /TITLE    'Cuadro No. 3.1.6'
              'Matrimonios por nmero de matrimonios anteriores de la contrayente, segn regiones y provincias de residencia habitual y matrimonios anteriores del contrayente Ao  2018'
 /CORNER 'Provincias y matrimonios anteriores del contrayente'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c316'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.7***

compute t=1.
compute t2=1.

ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '.

* Etiquetar variables*


VAR LABEL
REG_NATH ' '
/ran_hijrec 'Nmero de Hijos reconocidos'
/t 'Total Nacional:'
/t2 ' '
.

* Plantear el cuadro o cuadros*


TABLES
 /TABLE  (t+REG_NATH>(t2+prov_habh)) BY (t+ran_hijrec)
 /TITLE    'Cuadro No. 3.1.7'
              'Matrimonios por nmero de hijos reconocidos, segn regiones y provincias de residencia habitual del contrayente - Ao 2018'
 /CORNER 'Regiones y provincias'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c317'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.8***

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables

VAR LABEL
ran_edadh 'Grupos de Edad del Contrayente'
/est_civih ' '
/REG_NATH  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros
*------------------------------------------.

TABLES
 /TABLE   tr+est_civih+REG_NATH >(t+est_civih) BY (t+ran_edadh)
 /TITLE    'Cuadro No. 3.1.8'
              'Matrimonios por grupos de edad  del contrayente, segn regiones de residencia habitual y estado civil anterior del mismo - Ao 2018'
 /CORNER 'Regiones y estado civil anterior del contrayente'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c318'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.9***

compute t=1. 
compute tr=1. 
 
ADD VALUE LABELS
/t  1 ' ' 
 /tr 1 ' ' . 
 
* Etiquetar variables* 
 
VAR LABEL 
/ran_edadh 'Grupos de Edad del Contrayente' 
/est_civih ' ' 
/REG_NATH  ' ' 
/t 'Total'
/tr 'Total Nacional'
. 
 
* Plantear el cuadro o cuadros* 
 
TABLES 
 /TABLE   tr+REG_NATH > prov_habh >(t+est_civih) BY (t+ran_edadh) 
 /TITLE    'Cuadro No. 3.1.9' 
              'Matrimonios por grupos de edad del contrayente, segn provincias de residencia habitual y estado civil anterior del mismo - Ao 2018' 
 /CORNER 'Provincias y estado civil anterior del  contrayente' 
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c319'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


***CUADRO 3.1.10***

* preparar variables a utilizar*
*----------------------------------------.
compute t=1.
compute tr=1.

* preparar variables a utilizar*
*----------------------------------------.

NUMERIC REG_NATM (f2.0).
if (prov_habm >= "01" and prov_habm<= "06") REG_NATM= 1.
if (prov_habm >= "10" and prov_habm <= "11") REG_NATM= 1.
if (prov_habm >= "17" and prov_habm<= "18") REG_NATM= 1.
if (prov_habm = "23") REG_NATM= 1.
if (prov_habm >= "07" and prov_habm <= "09") REG_NATM = 2.
if (prov_habm >= "12" and prov_habm <= "13") REG_NATM = 2.
if (prov_habm = "24") REG_NATM = 2.
if (prov_habm >= "14" and prov_habm<= "16") REG_NATM = 3.
if (prov_habm= "19") REG_NATM= 3.
if (prov_habm>= "21" and prov_habm <= "22") REG_NATM = 3.
if (prov_habm= "20") REG_NATM= 4.
if (prov_habm = "90") REG_NATM= 5.
if (prov_habm = "88") REG_NATM= 6.
execute.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
REG_NATM 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".


* Etiquetar variables y valores a desplegar en un reporte
*-------------------------------------------------------------------------------.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables
*---------------------------.


VAR LABEL
/ran_edadm 'Gupos de Edad de la Contrayente'
/est_civim ' '
/REG_NATM  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros
*------------------------------------------.

TABLES 
 /TABLE   tr+est_civim+REG_NATM >(t+est_civim) BY (t+ran_edadm)
 /TITLE    'Cuadro No.3.1.10'
              'Matrimonios por grupos de edad de la contrayente, segn regiones de residencia habitual y estado civil anterior de la misma - Ao 2018'
 /CORNER 'Regiones y estado civil anterior de la contrayente'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3110'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.1.11***

*  Matrimonios, por grupos de edad de la contrayente, segn provincias de residencia habitual y estado civil anterior de la misma 2016 *

* preparar variables a utilizar*

compute t=1.
compute tr=1.

* CODIGOS DE REGIONES NATURALES.

.
* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*

VAR LABEL
ran_edadm 'Gupos de Edad de la Contrayente'
/est_civim ' '
/REG_NATM  ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*



TABLES 
 /TABLE   tr+REG_NATM  > prov_habm >(t+est_civim) BY (t+ran_edadm)  
 /TITLE    'Cuadro No. 3.1.11'
       'Matrimonios por grupos de edad de la contrayente, segn provincias de residencia habitual y estado civil anterior de la misma - Ao 2018'
 /CORNER 'Provincias y estado civil anterior de la contrayente'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3111'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


**3.1.12**
*  Matrimonios, por nivel de instruccion de la contrayente, segn regiones de residencia habitual y nivel de instruccin del contrayente *

* preparar variables a utilizar *

* CODIGOS DE REGIONES NATURALES.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*


VAR LABEL
niv_insth ' '
/niv_instm 'Nivel de Instruccin de la Contrayente'
/REG_NATH ' '
/t 'Total'
/tr 'Total Nacional'
.



TABLES 
/TABLE   tr+niv_insth+REG_NATH >(t+niv_insth ) BY (t+niv_instm)
/TITLE    'Cuadro No. 3.1.12'
              'Matrimonios por nivel de instruccin de la contrayente, segn regiones de residencia habitual y nivel de instruccin del contrayente - Ao 2018'
 /CORNER 'Regiones y nivel de instruccin del contrayente'
.
execute.             

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3112'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.1.13 *
*  Matrimonios, por nivel de instruccion de la contrayente, segn provincias de residencia habitual y nivel de instruccin del contrayente*

* preparar variables a utilizar*

compute t=1.
compute tr=1.

* CODIGOS DE REGIONES NATURALES.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '.

* Etiquetar variables*

VAR LABEL
niv_insth ' '
/niv_instm 'Nivel de Instruccin de la Contrayente'
/REG_NATH ' '
/t 'Total'
/tr 'Total Nacional'
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE   tr+REG_NATH  > prov_habh >(t+niv_insth) BY (t+niv_instm)
 /TITLE    'Cuadro No. 3.1.13'
              'Matrimonios por nivel de instruccin de la contrayente, segn provincias de residencia habitual y nivel de instruccin del contrayente - Ao 2018'
 /CORNER 'Provincias y nivel de instruccin del contrayente'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados\matrimonios.xls'
     OPERATION=CREATESHEET  SHEET='c3113'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


