*==============================================================================*
* TTULO DE LA SINTAXIS:*
* Sintaxis de Tabulados 
* OPERACIN ESTADSTICA:*
* Divorcios, Ao 2018 (EDV - 2018)*
* UNIDAD TCNICA RESPONSABLE:*
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos*
* Direccin Estadsticas Sociodemogrficas (DIES) *
* ENTIDAD EJECUTORA:*
* Instituto Nacional de Estadstica y Censos (INEC) *
*==============================================================================*
* Fecha ltima modificacin:   julio de 2019*
*==============================================================================*
* Elaborado por:* 
* Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
* Revisado por: *
* Responsable de la Unidad de Gestin de Estadsticas Sociodemogrficas en base a Registros Administrativos (GESRA) * *
* Instituto Nacional de Estadstica y Censos (INEC)*
*==============================================================================*
*==============================================================================*
* Descripcin:
* 1. Correr la programacin en spss.
* 2. La presente sintaxis est diseada para generar y crear las variables necesarias para la elaboracin de los cuadros estadsticos de Divorcios.
*==============================================================================*
*Sintaxis de Tabulados Divorcioss, Ao 2018 (EDV - 2018)*
*==============================================================================*
***SINTAXIS DE TABULADOS DIVORCIOS***

*  CUADRO 3.2.1*

*  Divorcios, por mes de ocurrencia, segn regiones y provincias de inscripcin 2017*

compute t=1.
compute t2=1.

* CODIGOS DE REGIONES NATURALES.

NUMERIC REG_NAT (f1.0).
if (prov_insc >= "01" and prov_insc <= "06") REG_NAT= 1.
if (prov_insc >= "10" and prov_insc <= "11") REG_NAT= 1.
if (prov_insc >= "17" and prov_insc <= "18") REG_NAT= 1.
if (prov_insc = "23") REG_NAT= 1.
if (prov_insc >= "07" and prov_insc <= "09") REG_NAT = 2.
if (prov_insc >= "12" and prov_insc <= "13") REG_NAT = 2.
if (prov_insc = "24") REG_NAT= 2.
if (prov_insc >= "14" and prov_insc <= "16") REG_NAT = 3.
if (prov_insc = "19") REG_NAT= 3.
if (prov_insc >= "21" and prov_insc <= "22") REG_NAT = 3.
if (prov_insc = "20") REG_NAT= 4.
if (prov_insc = "90") REG_NAT= 5.
execute.

* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NAT 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:".

ADD VALUE LABELS
/t  1 ' '
/t2 1 ' '
.

* Etiquetar variables*.
VAR LABEL
REG_NAT   "  "
/t 'Total Repblica:'
/t2 ' '
.

* Plantear el cuadro o cuadros*

TABLES 
 /TABLE t+(REG_NAT>(t2+prov_insc)) BY (t+mes_insc)
 /TITLE    'Cuadro No. 3.2.1'
              'Divorcios por mes de inscripcin, segn regiones y provincias de inscripcin - Ao 2018'
 /CORNER 'Regiones y provincias '
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATEFILE  SHEET='c321'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.2*
*  DIVORCIOS, por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual del divorciado*

* Preparar variables a utilizar*

compute t2=1.

* CODIGOS DE REGIONES NATURALES.


NUMERIC REG_NATH (f1.0).
if (prov_habh >= "01" and prov_habh <= "06") REG_NATH= 1.
if (prov_habh >= "10" and prov_habh <= "11") REG_NATH= 1.
if (prov_habh >= "17" and prov_habh <= "18") REG_NATH= 1.
if (prov_habh = "23") REG_NATH= 1.
if (prov_habh >= "07" and prov_habh <= "09") REG_NATH = 2.
if (prov_habh >= "12" and prov_habh <= "13") REG_NATH = 2.
if (prov_habh = "24") REG_NATH= 2.
if (prov_habh >= "14" and prov_habh <= "16") REG_NATH = 3.
if (prov_habh = "19") REG_NATH= 3.
if (prov_habh >= "21" and prov_habh <= "22") REG_NATH = 3.
if (prov_habh = "20") REG_NATH= 4.
if (prov_habh = "90") REG_NATH= 5.
if (prov_habh = "88") REG_NATH= 6.
execute.

* Etiquetar variables y valores a desplegar en un reporte*


ADD VALUE LABELS
REG_NATH 1 "Regin Sierra: "
	2 "Regin Costa: "
	3 "Regin Amaznica:"
	4 "Regin Insular:"
	5 "Zonas no Delimitadas:"
6 "Exterior".


* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t2 1 'total '.
.

* Etiquetar variables*

VAR LABEL
REG_NATH ' Regiones  Naturales'
/mes_insc 'Mes de Inscripcin'
/t2 'Total Repblica:'
.

* Plantear el cuadro o cuadros*

TABLES 
 /TABLE  t2+REG_NATH>(t2+prov_habh>(cant_habh))  BY (t2+mes_insc)
 /TITLE    'Cuadro No. 3.2.2'
              'Divorcios por mes de inscripcin, segn regiones, provincias y cantones de residencia habitual del divorciado - Ao 2018'
 /CORNER 'Regiones, provincias  y cantones'
.

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c322'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.




*  CUADRO 3.2.3*
*  DIVORCIOS, por grupos de edad de la divorciada, segn grupos de edad del divorciado 2017 *

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

* Etiquetar variables y valores a desplegar en un reporte*

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica'
/ran_edadh  ' '     
/ran_edadm 'Edad de la Divorciada '
.


* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_edadh) BY (t+ran_edadm)
 /TITLE    'Cuadro No. 3.2.3'
              'Divorcios por grupos de edad de la divorciada, segn grupos de edad del divorciado - Ao 2018'
 /CORNER 'Edad del divorciado'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c323'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


*  CUADRO 3.2.4*
*  DIVORCIOS, por grupos de edad del divorciado, segn tiempo de duracin del matrimonio 2017*

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_edadh  'Edad del Divorciado'     
/ran_durm ' '
.

TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_edadh)
 /TITLE    'Cuadro No. 3.2.4'
              'Divorcios por grupos de edad del divorciado, segn tiempo de duracin del matrimonio - Ao 2018'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c324'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

**CUADRO 3.2.5***

*  DIVORCIOS, por grupos de edad de la divorciada, segn tiempo de duracin del matrimonio 2017*


* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*


VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_edadm  'Edad de la Divorciada'     
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_edadm)
 /TITLE    'Cuadro No. 3.2.5'
              'Divorcios por grupos de edad de la divorciada, segn tiempo de duracin del matrimonio - Ao 2018'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c325'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.6*
*  DIVORCIOS, por nmero de hijos a cargo del divorciado, segn tiempo de duracin del matrimonio 2017*

* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*

VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_hijh 'Nmero de Hijos a Cargo del Divorciado'     
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_hijh)
 /TITLE    'Cuadro No. 3.2.6'
              'Divorcios por nmero de hijos a cargo del divorciado, segn tiempo de duracin del matrimonio - Ao 2018'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c326'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO	 No. 3.2.7*
*  DIVORCIOS, por nmero de hijos a cargo del divorciado, segn tiempo de duracin del matrimonio 2017*


* Preparar variables a utilizar*

compute t=1.
compute tr=1.

ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

* Etiquetar variables*

VAR LABEL
t       'Total'
/tr     'Total Repblica:'
/ran_hijm 'Nmero de Hijos a Cargo de la Divorciada'      
/ran_durm ' '
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE  (tr+ran_durm) BY (t+ran_hijm)
 /TITLE    'Cuadro No. 3.2.7'
              'Divorcios por nmero de hijos a cargo de la divorciada, segn tiempo de duracin del matrimonio - Ao 2018'
 /CORNER 'Tiempo de duracin del matrimonio'
.
execute.


OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c327'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



*  CUADRO 3.2.8*
*  DIVORCIOS, por nivel de instruccin de la divorciada, segn provincias de residencia habitual y nivel de instruccin del divorciado 2017*

* preparar variables a utilizar*

compute t=1.
compute tr=1.


ADD VALUE LABELS
/t  1 ' '
/tr 1 ' '
.

VAR LABEL
niv_insth ' '
/niv_instm 'Nivel de Instruccin de la Divorciada'
/REG_NATH ' '
/t 'Total '
/tr     'Total Repblica:'
.

* Plantear el cuadro o cuadros*


TABLES 
 /TABLE   tr+REG_NATH > prov_habh >(t+niv_insth) BY (t+niv_instm)
 /TITLE    'Cuadro No. 3.2.8'
              'Divorcios por nivel de instruccin de la divorciada, segn provincias de residencia habitual y nivel de instruccin del divorciado - Ao 2018'
 /CORNER 'Regiones, provincias y nivel de instruccin del divorciado'
.
execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c328'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.



***CUADRO 3.2.9***

compute t2=1.


ADD VALUE LABELS
/t2  1 'Total Repblica '
.

VAR LABEL
/cau_div 'Causas del divorcios'
/t2     'Total Repblica:'
.

TABLES. 
 /TABLE  t+prov_insc BY t+cau_div
 /TITLE    'Cuadro No. 3.2.9'
 'Causas del divorcios segn provincias de inscripcin - Ao 2018'
/CORNER 'Provincia de inscripcin'

execute.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLS  DOCUMENTFILE='C:\Users\mruiz\Documents\Ao 2019\Anuario 2018\Tabulados.xls'
     OPERATION=CREATESHEET  SHEET='c329'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.


****************************


